[CentOS] java-1.4.2-gcj-compat.i386 update failure

Johnny Hughes johnny at centos.org
Fri Jun 27 12:22:35 UTC 2008


William L. Maltby wrote:
> On Thu, 2008-06-26 at 18:42 -0400, William L. Maltby wrote:
>> Hmmm,
>>
>> I seemed to have created a misalignment somewhere along the line. I
>> can't remember doing anything to this.<snip>
> 
>> # yum update
>> <omit the usual verbosity>
>>
>> Resolving Dependencies
>> --> Running transaction check
>> ---> Package java-1.4.2-gcj-compat.i386 0:1.4.2.0-40jpp.115 set to be
>> updated
>> --> Processing Dependency: /usr/bin/rebuild-security-providers for
>> package: java-1.4.2-gcj-compat
>> --> Processing Dependency: /usr/bin/rebuild-security-providers for
>> package: java-1.4.2-gcj-compat
>> --> Processing Dependency: /usr/bin/rebuild-security-providers for
>> package: java-1.4.2-gcj-compat
>> --> Processing Dependency: /usr/bin/rebuild-security-providers for
>> package: java-1.4.2-gcj-compat
>> --> Finished Dependency Resolution
>> Error: Missing Dependency: /usr/bin/rebuild-security-providers is needed
>> by package java-1.4.2-gcj-compat
>> ========================================
>>
>> ========================================
>> # yum whatprovides /usr/bin/rebuild-security-providers
>> <omit the usual verbosity>
>> jpackage-utils.noarch : JPackage utilities
>> =========================================
>>
> 
> Well, I went through the on line manifest (a misnomer apparently as it
> lists added, updated and removed, but not unchanged packages). The only
> reference I found to jpackage was in the gcj-compat package.
> 
> I tried a remove of it and aborted when I saw it would get rid of a
> bunch of stuff I need, like OpenOffice.
> 
> So I can't confirm if I have the right one or not that way.
> 
>> =========================================
>> # yum list jpackage-utils.noarch
>> <omit the usual verbosity>
>> Installed Packages
>> jpackage-utils.noarch           1.7.4-2jpp.2.el5.cento installed       
>> Available Packages
>> jpackage-utils.noarch           1.7.3-1jpp.2.el5       base
>> ===========================================
>>
>> I presume that the 1.7.4 is the correct one? If so, 
>>
>> ================================================
>> # rpm --verbose --verify jpackage-utils.noarch
>> ........<snip output - all looked OK to me>
> 
There is a newer version of jpackage-utils in the testing repo that 
should have that file in it:

http://dev.centos.org/centos/5/testing/i386/RPMS/jpackage-utils-1.7.5-1jpp.1.el5.centos.noarch.rpm

See if this helps

Thanks,
Johnny Hughes

-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 251 bytes
Desc: OpenPGP digital signature
Url : http://lists.centos.org/pipermail/centos/attachments/20080627/35ca7800/signature.bin


More information about the CentOS mailing list